# Developers

- [Changelog](https://docs.dlxplugins.com/quotes-dlx/developers/changelog.md): See what's changed.
- [Actions](https://docs.dlxplugins.com/quotes-dlx/developers/actions.md): Actions are placeholders where custom code execution can occur.
- [quotes\_dlx\_before\_modal\_scripts](https://docs.dlxplugins.com/quotes-dlx/developers/actions/quotes_dlx_before_modal_scripts.md): Action to run before printing modal scripts/styles.
- [quotes\_dlx\_after\_modal\_scripts](https://docs.dlxplugins.com/quotes-dlx/developers/actions/quotes_dlx_after_modal_scripts.md): Action to run after printing modal scripts/styles.
- [quotes\_dlx\_core\_license\_{action}](https://docs.dlxplugins.com/quotes-dlx/developers/actions/quotes_dlx_core_license_-action.md): Perform a license action based on response/action.
- [Filters](https://docs.dlxplugins.com/quotes-dlx/developers/filters.md): Filters are ways to override settings or output.
- [quotes\_dlx\_plugin\_preview\_modal\_styles](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_plugin_preview_modal_styles.md): Filter the styles print arguments in the preview modal.
- [quotes\_dlx\_plugin\_preview\_modal\_scripts](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_plugin_preview_modal_scripts.md): Filter the scripts print arguments in the preview modal.
- [quotes\_dlx\_block\_attributes](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_block_attributes.md): Override attributes (useful for overriding defaults or output).
- [quotes\_dlx\_block\_output](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_block_output.md): Short circuit the block render and output your own block output.
- [quotes\_dlx\_block\_template](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_block_template.md): Override the template that is shown on the frontend.
- [quotes\_dlx\_block\_wrapper\_classes](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_block_wrapper_classes.md): Change the block class attributes to output on wrapper.
- [quotes\_dlx\_block\_wrapper\_id](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_block_wrapper_id.md): Change the block ID attribute to output on wrapper.
- [quotes\_dlx\_block\_max\_width](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_block_max_width.md): Set the max-width argument that is set using inline CSS.
- [quotes\_dlx\_load\_fonts](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_load_fonts.md): Allow or disallow the loading of fonts.
- [quotes\_dlx\_block\_defaults](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_block_defaults.md): Add in block defaults from admin settings.
- [quotes\_dlx\_can\_preload\_fonts](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_can_preload_fonts.md): Whether to preload fonts or not.
- [quotes\_dlx\_fonts\_to\_preload](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_fonts_to_preload.md): Font slugs to preload.
- [quotes\_dlx\_preload\_font\_urls](https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_preload_font_urls.md): Font URLs to pre-load.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dlxplugins.com/quotes-dlx/developers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
